/*
	* Copyright (c) https://github.com/dudeintheshell/ESP32-BLE-Combo
	*
	* modified to work with other modules in this project
	*
	* This file is free software; you can redistribute it and/or modify
	* it under the terms of either the GNU General Public License version 2
	* or the GNU Lesser General Public License version 2.1, both as
	* published by the Free Software Foundation.
*/

#include "KeyboardOutputCallbacks.h"
#if defined(CONFIG_BT_ENABLED)
#if defined(CONFIG_ARDUHAL_ESP_LOG)
  #include "esp32-hal-log.h"
  #define LOG_TAG ""
#else
  #include "esp_log.h"
  static const char* LOG_TAG = "BLEDevice";
#endif

#include "../../debug.h"

KeyboardOutputCallbacks::KeyboardOutputCallbacks(void) 
{
}

void KeyboardOutputCallbacks::onWrite(BLECharacteristic* me) 
{
  uint8_t* value = (uint8_t*)(me->getValue().c_str());
  ESP_LOGI(LOG_TAG, "special keys: %d", *value);
#if DBG_ON
  Serial.print("special keys: "); Serial.print(*value);  Serial.print("\r\n");
#endif
}

MediaOutputCallbacks::MediaOutputCallbacks(void) 
{
}

void MediaOutputCallbacks::onWrite(BLECharacteristic* me) 
{
  uint8_t* value = (uint8_t*)(me->getValue().c_str());
  ESP_LOGI(LOG_TAG, "special keys: %d", *value);
#if DBG_ON
  Serial.print("media keys: "); Serial.print(*value);  Serial.print("\r\n");
#endif
}

#endif // CONFIG_BT_ENABLED